<?php
/* ======================================================
 # Virtuemart Sales for Joomla! - v7.1.8 (free version)
 # -------------------------------------------------------
 # For Joomla! CMS (v3.x)
 # Author: Web357 (Yiannis Christodoulou)
 # Copyright (©) 2014-2023 Web357. All rights reserved.
 # License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
 # Website: https:/www.web357.com
 # Demo: https://demo.web357.com/joomla/virtuemart-sales
 # Support: support@web357.com
 # Last modified: Monday 10 July 2023, 03:54:31 AM
 ========================================================= */
defined( '_JEXEC' ) or die( 'Restricted access' );

// BEGIN: Check if Virtuemart exists and is active
jimport('joomla.plugin.helper');
if(!JComponentHelper::isEnabled('com_virtuemart')):
	JFactory::getApplication()->enqueueMessage(JText::_('VMSALES_NOT_ENABLED_MSG'), 'error');
	return false;
endif;
// END: Check if Virtuemart exists and is active

// Check if Web357 Framework plugin exists
jimport('joomla.plugin.helper');
if(!JPluginHelper::isEnabled('system', 'web357framework')):
	$web357framework_required_msg = JText::_('<p>The <strong>"Web357 Framework"</strong> is required for this extension and must be active. Please, download and install it from <a href="http://downloads.web357.com/?item=web357framework&type=free">here</a>. It\'s FREE!</p>');
	JFactory::getApplication()->enqueueMessage($web357framework_required_msg, 'warning');
	return false;
endif;

// Include dependancies
jimport('joomla.application.component.controller');

JLoader::registerPrefix('VMSales', JPATH_COMPONENT);
JLoader::register('VMSalesController', JPATH_COMPONENT . '/controller.php');

// Execute the task.
$controller = JControllerLegacy::getInstance('VMSales');
$controller->execute(JFactory::getApplication()->input->get('task'));
$controller->redirect();